Bug 1685949 - [RFE] Support passing of attribute name instead of Id's in RHV workflow
Summary: [RFE] Support passing of attribute name instead of Id's in RHV workflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.8.0
Assignee: Yifat Makias
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On: 1716423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 11:34 UTC by Sanket Jagtap
Modified: 2020-10-27 12:58 UTC (History)
6 users (show)

Fixed In Version: foreman-2.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:58:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25281 Normal Closed Unable to provision a host, if RHV resource created through CLI 2020-10-28 17:16:00 UTC
Foreman Issue Tracker 30175 Normal Closed Problem when assigning quota in ovirt 2020-10-28 17:16:00 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:58:34 UTC

Description Sanket Jagtap 2019-03-06 11:34:11 UTC
Description of problem:
Build: Satellite 6.5 snap18

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Can we have the support for Name for attributes for RHV.

As, of now we have 4 Parameters that needs to be passed as ID to create a Host on RHV 

ovirt-quota, cluster, network , storage-domain

Current RHV workflow

hammer -v -u admin -p changeme --output=csv compute-resource create --name="z12z2" --provider="Ovirt" --user="admin@internal" --password="" --datacenter="5aaaaa41-035d-0157-0166-00000000030b" --url="https://rhevm1.sa:443/ovirt-engine/api" --ovirt-quota="5aaaaa67-02a9-026e-0185-00000000025f" --locations="Default Location" --organizations="Default Organization"
Message,Id,Name
Compute resource created.,5,z12z2


[root@qe-sat6-feature-rhel7 ~]# hammer -v -u admin -p changeme --output=csv host create --compute-attributes="cluster=5aaaaa41-02db-027c-0190-0000000001c8,cores=1,memory=1073741824,start=1" --compute-resource-id="5" --hostgroup="RHEL 7 Server 64-bit HG" --interface="compute_name=nic1, compute_network=2d7dc335-a881-44ce-aa17-46ebdd4dcb58" --location="Default Location" --name="new-host" --organization="Default Organization" --provision-method="build" --root-password="dog8code" --volume="size_gb=10,storage_domain=c4fc24ba-651a-4db6-a137-c5ad8a4a921f,bootable=True"
Message,Id,Name
Host created.,9,new-host.s




Actual results:
Some parameters needs to be passed as ID's

Expected results:
All parameters should support passing of name 

Additional info:

Comment 2 Bryan Kearney 2019-11-05 20:44:05 UTC
Upstream bug assigned to ymakias@redhat.com

Comment 3 Bryan Kearney 2019-11-05 20:44:07 UTC
Upstream bug assigned to ymakias@redhat.com

Comment 4 Bryan Kearney 2019-12-11 11:03:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25281 has been resolved.

Comment 5 Lukáš Hellebrandt 2020-06-24 10:08:55 UTC
Failing based on new bug 1848902 and failure to verify bug 1716423, this BZ is their superset.

Comment 7 Lukáš Hellebrandt 2020-10-05 15:20:49 UTC
Verified with Sat 6.8 snap 18. Using reproducer from OP, I was able to do the whole workflow without using any UUID.

Comment 10 errata-xmlrpc 2020-10-27 12:58:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.